Subject: Re: AtomISP tree for Linux Next

From: Mauro Carvalho Chehab <[email-masked]>
Date: Fri, 22 May 2026 20:23:36 +0200

On Fri, 22 May 2026 13:10:00 +0100
Mark Brown <[email-masked]> wrote:

> On Fri, May 22, 2026 at 09:59:53AM +0300, Sakari Ailus wrote:
> 
> > I guess I could push patches to the atomisp branch after running them
> > through Media CI. But I'm not sure it's really worth it: the long backlog
> > of patches is now largely gone and the same fixes or cleanups can be only
> > merged once anyway. So would you expect the flow to still continue at a
> > similar level? There's a limit to which degree this driver can be improved
> > with such cleanups.  
> 
> FWIW so long as they don't cause conflicts all the time the marginal
> cost of including a tree is effectively nothing.

Sakari,

Patches committed at media-committers will appear at -next once they
reach media-pending (which, except if there are any sync issues, it
happens in a question of minutes). Just remind that we don't merge
patches for -next after -rc6 (except fixes, in which case you need
to warn me about that). 

If nothing have changed, linux-next also has a similar policy of not
wanting patches that won't be merged for the next Kernel cycle,
which means that media patches after -rc6 would also wait for the
next -rc1 to be merged on a branch that goes to linux-next.

So, personally, I don't see any value on linux-next picking directly
from your atomisp tree, but that's up to you to decide.

Thanks,
Mauro